| Home | Libraries | People | FAQ | More

## Struct indirect_cmp

boost::accumulators::impl::tail_impl::indirect_cmp

## Synopsis

    // In header: <boost/accumulators/statistics/tail.hpp>

    struct indirect_cmp {
      // construct/copy/destruct
      indirect_cmp(std::vector< Sample > const &);
      indirect_cmp& operator=(indirect_cmp const &);

      // public member functions
      bool operator()(std::size_t, std::size_t) const;
    };

## Description

### `indirect_cmp` public construct/copy/destruct

1.     indirect_cmp(std::vector< Sample > const & s);

2.     indirect_cmp& operator=(indirect_cmp const &);

### `indirect_cmp` public member functions

1.     bool operator()(std::size_t left, std::size_t right) const;